Skip to main content
GET
/
sessions
/
v2
List sessions
curl --request GET \
  --url https://api.readmin.app/sessions/v2 \
  --header 'loader-id: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "groupId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "startsAt": "2023-11-07T05:31:56Z",
      "endsAt": "2023-11-07T05:31:56Z",
      "durationMinutes": 123,
      "appearsAt": "2023-11-07T05:31:56Z",
      "templateId": "<string>",
      "oneOff": true,
      "game": {
        "gameId": 123,
        "placeId": 123,
        "name": "<string>",
        "thumbnail": "<string>"
      },
      "roleGroupIds": [
        "<string>"
      ],
      "servers": [
        {
          "id": "<string>",
          "nickname": "<string>",
          "linked": true,
          "linkedServerId": "<string>",
          "linkedJobId": "<string>",
          "linkedBy": "<string>",
          "claims": [
            {
              "userId": "<string>",
              "roleId": "<string>",
              "roleName": "<string>",
              "claimedBy": "<string>",
              "claimedAt": "2023-11-07T05:31:56Z",
              "claimId": "<string>"
            }
          ],
          "attendees": [
            {
              "userId": "<string>",
              "addedBy": "<string>"
            }
          ]
        }
      ],
      "counts": {
        "servers": 123,
        "claims": 123,
        "attendees": 123
      },
      "createdBy": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "count": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

loader-id
string
header
required

Query Parameters

status
enum<string>
default:all

Filter by lifecycle status.

Available options:
scheduled,
live,
ended,
all
templateId
string

Only return sessions for this template.

from
string<date-time>

Only sessions starting on/after this ISO date-time.

to
string<date-time>

Only sessions starting on/before this ISO date-time.

order
enum<string>
default:asc

Sort direction by start time.

Available options:
asc,
desc
limit
integer
default:25

Page size (1-100).

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor returned as pagination.nextCursor.

Response

Successful operation

success
boolean
default:true
data
object[]
pagination
object